Skip to navigation

Get Customer Group

Returns a Customer Group.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

customer_group_idintegerRequired
The ID of the customer group.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

pagedoubleOptional
Number of pages.
limitdoubleOptional
Count per page.
namestringOptional
Name of the customer groups.
date_createddatetimeOptional

Filter items by date_created. date_created=2018-09-05T13:43:54

date_created:maxstringOptional

Filter items by maximum date_created. date_created:max=2018-09-10

date_created:mindatetimeOptional

Filter items by date_created. date_created:min=2018-09-05

date_modifieddatetimeOptional

Filter items by date_modified. date_modified=2018-09-05T13:45:03

date_modified:minstringOptional

Filter items by minimum date_modified. date_modified:min=2019-09-04T:00:00:00 or date_modified:min=2019-09-04

date_modified:maxdatetimeOptional

Filter items by maximum date_modified. date_modified:max=2018-09-05T13:45:03 or date_modified:max=2019-09-04

is_defaultbooleanOptional
Whether customers who sign up are added to this group by default.

Response

The request was successful.
idintegerOptional
ID of the customer group.
namestringOptional
Name of the group.
is_defaultbooleanOptional
Determines whether new customers are assigned to this group by default.
category_accessobjectOptional
discount_ruleslist of objectsOptional
date_createdstringOptional
Date on which the customer group was created.
date_modifiedstringOptional
Date on which the customer group was last modified.
is_group_for_guestsbooleanOptional
Describes whether the group is for guests. There can only be one customer group for guests at a time.

Errors

400
Bad Request Error